Upstream information

CVE-2019-18860 at MITRE

Description

Squid before 4.9, when certain web browsers are used, mishandles HTML in the host (aka hostname) parameter to cachemgr.cgi.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 4.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None Low
User Interaction Required None
Scope Changed Unchanged
Confidentiality Impact Low None
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1167373 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • squid >= 3.5.21-26.26.1
Patchnames:
HPE-Helion-OpenStack-8-2020-1803
SUSE Enterprise Storage 5
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-Storage-5-2020-1803
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • squid >= 4.11-5.17.2
Patchnames:
SUSE-SLE-Product-HPC-15-2020-1156
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • squid >= 4.11-5.17.2
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2020-1156
SUSE Linux Enterprise Point of Sale 11 SP3
  • squid3 >= 3.1.23-8.16.37.12.1
Patchnames:
sleposp3-squid3-14460
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-1803
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • squid3 >= 3.1.23-8.16.37.12.1
Patchnames:
slessp4-squid3-14460
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-1803
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-1803
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-1803
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1803
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1803
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1803
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1803
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • squid >= 4.11-4.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1134
SUSE Linux Enterprise Server 15-LTSS
  • squid >= 4.11-5.17.2
Patchnames:
SUSE-SLE-Product-SLES-15-2020-1156
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-1803
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1803
SUSE Linux Enterprise Server for SAP Applications 15
  • squid >= 4.11-5.17.2
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-1156
SUSE OpenStack Cloud 7
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-1803
SUSE OpenStack Cloud 8
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1803
SUSE OpenStack Cloud Crowbar 8
  • squid >= 3.5.21-26.26.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1803
openSUSE Leap 15.1
  • squid >= 4.11-lp151.2.15.2
  • squid-debuginfo >= 4.11-lp151.2.15.2
  • squid-debugsource >= 4.11-lp151.2.15.2
Patchnames:
openSUSE-2020-623


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15-SP1 Module for Server Applications squid Released
SUSE Linux Enterprise High Performance Computing 12 SP4 squid Released
SUSE Linux Enterprise High Performance Computing 12 SP5 squid Released
SUSE Linux Enterprise High Performance Computing 15 LTSS squid Released
SUSE Linux Enterprise Server 11 SP1 squid Ignore
SUSE Linux Enterprise Server 11 SP1 squid3 Released
SUSE Linux Enterprise Server 11 SP3 squid Ignore
SUSE Linux Enterprise Server 11 SP3 squid3 Released
SUSE Linux Enterprise Server 11 SP4 LTSS squid Ignore
SUSE Linux Enterprise Server 11 SP4 LTSS squid3 Released
SUSE Linux Enterprise Server 12 SP1 LTSS squid Unsupported
SUSE Linux Enterprise Server 12 SP2 BCL squid Released
SUSE Linux Enterprise Server 12 SP2 LTSS squid Released
SUSE Linux Enterprise Server 12 SP3 BCL squid Released
SUSE Linux Enterprise Server 12 SP3 LTSS squid Released
SUSE Linux Enterprise Server 12 SP4 squid Released
SUSE Linux Enterprise Server 12 SP5 squid Released
SUSE Linux Enterprise Server 15 LTSS squid Released
SUSE Linux Enterprise Server ESPOS 15 squid Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 squid Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 squid Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 squid Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 squid Released